Bug 191623 - Review Request: perl-Expect-Simple - Wrapper around the Expect module
Review Request: perl-Expect-Simple - Wrapper around the Expect module
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Package Reviews List
:
Depends On: 191622
Blocks: FE-ACCEPT 191624
  Show dependency treegraph
 
Reported: 2006-05-13 19:29 EDT by Jose Pedro Oliveira
Modified: 2010-06-22 21:34 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-17 12:55:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Jose Pedro Oliveira 2006-05-13 19:29:43 EDT
Spec URL: 
http://gsd.di.uminho.pt/jpo/software/fedora/perl-Expect-Simple.spec
SRPM URL:
http://gsd.di.uminho.pt/jpo/software/fedora/perl-Expect-Simple-0.02-1.src.rpm

Description: 
Expect::Simple is a wrapper around the Expect module which should
suffice for simple applications. It hides most of the Expect
machinery; the Expect object is available for tweaking if need be.
Comment 1 Jason Tibbitts 2006-05-16 18:58:03 EDT
There's not much to this one.

* package meets naming and packaging guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* license field matches the actual license.
* license is open source-compatible; license text is included in the package.
* source files match upstream:
   23c72fa4461f07522eb8c8511bad5d43  Expect-Simple-0.02.tar.gz
   23c72fa4461f07522eb8c8511bad5d43  Expect-Simple-0.02.tar.gz-srpm
* latest version is being packaged.
* BuildRequires are proper.
* package builds in mock (development, x86_64) with perl-Expect added.
* rpmlint is silent.
* final provides and requires are sane.
* no shared libraries are present.
* package is not relocatable.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* %clean is present.
* %check is present and the single test passes:
   1..1
   ok 1
* no scriptlets present.
* code, not content.
* documentation is small, so no -docs subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.
* no headers.
* no pkgconfig files.
* no libtool .la droppings.
* not a GUI app.

APPROVED
Comment 2 Jose Pedro Oliveira 2006-05-17 12:55:04 EDT
Thanks for the review.

Imported and built for FC-5 and devel.
Comment 3 Mark Chappell 2010-06-21 04:09:07 EDT
https://bugzilla.redhat.com/show_bug.cgi?id=191622 - cweyl implied he's not
interested in EPEL, and at the last EPEL meeting Smooge suggested I should just
put the requests through.

Package Change Request
======================
Package Name: perl-Expect-Simple
New Branches: EL-5 EL-6
Owners: tremble
Comment 4 Kevin Fenzi 2010-06-22 21:34:31 EDT
cvs done.

Note You need to log in before you can comment on or make changes to this bug.